/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.rss.core.valueobject;

import java.util.List;

/**
 * blancoRssのためのバリューオブジェクト。トップに位置するバリューオブジェクト。
 */
public class BlancoRss {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["rdf:RDF"]<br>
     * rss や rdf:RDF など。
     */
    private String fName = "rdf:RDF";

    /**
     * フィールド [version]
     *
     * 項目の型 [java.lang.String]<br>
     * rssの場合には &quot;0.91&quot; 等をセット。RDFは不要。
     */
    private String fVersion;

    /**
     * フィールド [channel]
     *
     * 項目の型 [blanco.rss.core.valueobject.BlancoRssChannel]<br>
     * 規定値   [new BlancoRssChannel()]<br>
     */
    private BlancoRssChannel fChannel = new BlancoRssChannel();

    /**
     * フィールド [items]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * BlancoRssItemのリスト。
     */
    private List fItems = new java.util.ArrayList();

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * rss や rdf:RDF など。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["rdf:RDF"]<br>
     * rss や rdf:RDF など。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [version]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * rssの場合には &quot;0.91&quot; 等をセット。RDFは不要。
     *
     * @param argVersion フィールド[version]に格納したい値
     */
    public void setVersion(final String argVersion) {
        fVersion = argVersion;
    }

    /**
     * フィールド[version]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * rssの場合には &quot;0.91&quot; 等をセット。RDFは不要。
     *
     * @return フィールド[version]に格納されている値
     */
    public String getVersion() {
        return fVersion;
    }

    /**
     * フィールド [channel]のセッターメソッド
     *
     * 項目の型 [blanco.rss.core.valueobject.BlancoRssChannel]<br>
     *
     * @param argChannel フィールド[channel]に格納したい値
     */
    public void setChannel(final BlancoRssChannel argChannel) {
        fChannel = argChannel;
    }

    /**
     * フィールド[channel]のゲッターメソッド
     *
     * 項目の型 [blanco.rss.core.valueobject.BlancoRssChannel]<br>
     * 規定値   [new BlancoRssChannel()]<br>
     *
     * @return フィールド[channel]に格納されている値
     */
    public BlancoRssChannel getChannel() {
        return fChannel;
    }

    /**
     * フィールド [items]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * BlancoRssItemのリスト。
     *
     * @param argItems フィールド[items]に格納したい値
     */
    public void setItems(final List argItems) {
        fItems = argItems;
    }

    /**
     * フィールド[items]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * BlancoRssItemのリスト。
     *
     * @return フィールド[items]に格納されている値
     */
    public List getItems() {
        return fItems;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.rss.core.valueobject.BlancoRss[");
        buf.append("name=" + fName);
        buf.append(",version=" + fVersion);
        buf.append(",channel=" + fChannel);
        buf.append(",items=" + fItems);
        buf.append("]");
        return buf.toString();
    }
}
